Cordova-plugin-googleplus Uncaught ReferenceError: require("./plugin") is not defined


#1

Hi,

We are using cordova-plugin-googleplus on our ionic/Angular 2 project

I’ve installed from npm (using cordova plugins add )

when the application start on device it hangs at line:

plugin_1 = require("./plugin") <== ERROR LINE
, GooglePlus$1 = function() {

with error:

Uncaught ReferenceError: require is not defined

Here my current development environment:

** ionic info
Cordova CLI: 6.3.1
Gulp version: CLI version 3.9.0
Gulp local:
Ionic Framework Version: 2.0.0-rc.0
Ionic CLI Version: 2.1.0
Ionic App Lib Version: 2.1.0-beta.1
OS:
Node Version: v6.7.0

** cordova plugins ls

card.io.cordova.mobilesdk 2.1.0 "CardIO"
com.paypal.cordova.mobilesdk 3.3.1 "PayPalMobile"
cordova-plugin-console 1.0.4 "Console"
cordova-plugin-device 1.1.3 "Device"
cordova-plugin-googleplus 5.1.1 "Google SignIn"
cordova-plugin-splashscreen 4.0.0 "Splashscreen"
cordova-plugin-statusbar 2.2.0 "StatusBar"
cordova-plugin-whitelist 1.3.0 "Whitelist"
ionic-plugin-keyboard 2.2.1 “Keyboard”

Please, can you help me?

Thank you

Mario Ochoa